#include"TcPch.h"
#pragma hdrstop
#include"IoTrigger.h"
#include"DEVICE.h"
#include"debug.h"
IoTrigger::IoTrigger(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoTrigger* _initTrigFFULSPEED_0(){
	static IoTrigger staticTrigFFULSPEED("IoTrigger","TrigFFULSPEED",MODULE_NAME);
	IoTrigger::poTrigFFULSPEED=&staticTrigFFULSPEED;
	IoTrigger* dev=&staticTrigFFULSPEED;
	strcpy(dev->id,"TrigFFULSPEED");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->FFU_LSPEED,"AO.FFU_LSPEED",FALSE);
	return dev;
}
IoTrigger* _initTrigFFUHSPEED_0(){
	static IoTrigger staticTrigFFUHSPEED("IoTrigger","TrigFFUHSPEED",MODULE_NAME);
	IoTrigger::poTrigFFUHSPEED=&staticTrigFFUHSPEED;
	IoTrigger* dev=&staticTrigFFUHSPEED;
	strcpy(dev->id,"TrigFFUHSPEED");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->FFU_HSPEED,"AO.FFU_HSPEED",FALSE);
	return dev;
}
IoTrigger* _initTrigFURNACEWREN_0(){
	static IoTrigger staticTrigFURNACEWREN("IoTrigger","TrigFURNACEWREN",MODULE_NAME);
	IoTrigger::poTrigFURNACEWREN=&staticTrigFURNACEWREN;
	IoTrigger* dev=&staticTrigFURNACEWREN;
	strcpy(dev->id,"TrigFURNACEWREN");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->FURNACE_WR_EN,"AO.FURNACE_WR_EN",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace1zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace1zoneheatingenable("IoTrigger","TrigFurnace1zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace1zoneheatingenable=&staticTrigFurnace1zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace1zoneheatingenable;
	strcpy(dev->id,"TrigFurnace1zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_1_zone_heating_enable,"NDO.Furnace_1_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace2zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace2zoneheatingenable("IoTrigger","TrigFurnace2zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace2zoneheatingenable=&staticTrigFurnace2zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace2zoneheatingenable;
	strcpy(dev->id,"TrigFurnace2zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_2_zone_heating_enable,"NDO.Furnace_2_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace3zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace3zoneheatingenable("IoTrigger","TrigFurnace3zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace3zoneheatingenable=&staticTrigFurnace3zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace3zoneheatingenable;
	strcpy(dev->id,"TrigFurnace3zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_3_zone_heating_enable,"NDO.Furnace_3_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace4zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace4zoneheatingenable("IoTrigger","TrigFurnace4zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace4zoneheatingenable=&staticTrigFurnace4zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace4zoneheatingenable;
	strcpy(dev->id,"TrigFurnace4zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_4_zone_heating_enable,"NDO.Furnace_4_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace5zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace5zoneheatingenable("IoTrigger","TrigFurnace5zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace5zoneheatingenable=&staticTrigFurnace5zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace5zoneheatingenable;
	strcpy(dev->id,"TrigFurnace5zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_5_zone_heating_enable,"NDO.Furnace_5_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace6zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace6zoneheatingenable("IoTrigger","TrigFurnace6zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace6zoneheatingenable=&staticTrigFurnace6zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace6zoneheatingenable;
	strcpy(dev->id,"TrigFurnace6zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_6_zone_heating_enable,"NDO.Furnace_6_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigFurnace7zoneheatingenable_0(){
	static IoTrigger staticTrigFurnace7zoneheatingenable("IoTrigger","TrigFurnace7zoneheatingenable",MODULE_NAME);
	IoTrigger::poTrigFurnace7zoneheatingenable=&staticTrigFurnace7zoneheatingenable;
	IoTrigger* dev=&staticTrigFurnace7zoneheatingenable;
	strcpy(dev->id,"TrigFurnace7zoneheatingenable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_7_zone_heating_enable,"NDO.Furnace_7_zone_heating_enable",FALSE);
	return dev;
}
IoTrigger* _initTrigSysPLCResetb_0(){
	static IoTrigger staticTrigSysPLCResetb("IoTrigger","TrigSysPLCResetb",MODULE_NAME);
	IoTrigger::poTrigSysPLCResetb=&staticTrigSysPLCResetb;
	IoTrigger* dev=&staticTrigSysPLCResetb;
	strcpy(dev->id,"TrigSysPLCResetb");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_PLCReset_b,"NDO.Sys_PLCReset_b",FALSE);
	return dev;
}
IoTrigger* _initTrigSysBlowerSwitchb_0(){
	static IoTrigger staticTrigSysBlowerSwitchb("IoTrigger","TrigSysBlowerSwitchb",MODULE_NAME);
	IoTrigger::poTrigSysBlowerSwitchb=&staticTrigSysBlowerSwitchb;
	IoTrigger* dev=&staticTrigSysBlowerSwitchb;
	strcpy(dev->id,"TrigSysBlowerSwitchb");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_BlowerSwitch_b,"NDO.Sys_BlowerSwitch_b",FALSE);
	return dev;
}
IoTrigger* _initTrigSysLightCurtainBypassb_0(){
	static IoTrigger staticTrigSysLightCurtainBypassb("IoTrigger","TrigSysLightCurtainBypassb",MODULE_NAME);
	IoTrigger::poTrigSysLightCurtainBypassb=&staticTrigSysLightCurtainBypassb;
	IoTrigger* dev=&staticTrigSysLightCurtainBypassb;
	strcpy(dev->id,"TrigSysLightCurtainBypassb");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_LightCurtainBypass_b,"NDO.Sys_LightCurtainBypass_b",FALSE);
	return dev;
}
IoTrigger* _initTrigSysFFUAlarmResetb_0(){
	static IoTrigger staticTrigSysFFUAlarmResetb("IoTrigger","TrigSysFFUAlarmResetb",MODULE_NAME);
	IoTrigger::poTrigSysFFUAlarmResetb=&staticTrigSysFFUAlarmResetb;
	IoTrigger* dev=&staticTrigSysFFUAlarmResetb;
	strcpy(dev->id,"TrigSysFFUAlarmResetb");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_FFUAlarmReset_b,"NDO.Sys_FFUAlarmReset_b",FALSE);
	return dev;
}
IoTrigger* _initTrigSysMINI8AlarmResetb_0(){
	static IoTrigger staticTrigSysMINI8AlarmResetb("IoTrigger","TrigSysMINI8AlarmResetb",MODULE_NAME);
	IoTrigger::poTrigSysMINI8AlarmResetb=&staticTrigSysMINI8AlarmResetb;
	IoTrigger* dev=&staticTrigSysMINI8AlarmResetb;
	strcpy(dev->id,"TrigSysMINI8AlarmResetb");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_MINI8AlarmReset_b,"NDO.Sys_MINI8AlarmReset_b",FALSE);
	return dev;
}
IoTrigger* _initTrigSysVGUnitConversionb_0(){
	static IoTrigger staticTrigSysVGUnitConversionb("IoTrigger","TrigSysVGUnitConversionb",MODULE_NAME);
	IoTrigger::poTrigSysVGUnitConversionb=&staticTrigSysVGUnitConversionb;
	IoTrigger* dev=&staticTrigSysVGUnitConversionb;
	strcpy(dev->id,"TrigSysVGUnitConversionb");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_VGUnitConversion_b,"NDO.Sys_VGUnitConversion_b",FALSE);
	return dev;
}
IoTrigger* _initTrigSysAbnormalsealcapHTRtemp_0(){
	static IoTrigger staticTrigSysAbnormalsealcapHTRtemp("IoTrigger","TrigSysAbnormalsealcapHTRtemp",MODULE_NAME);
	IoTrigger::poTrigSysAbnormalsealcapHTRtemp=&staticTrigSysAbnormalsealcapHTRtemp;
	IoTrigger* dev=&staticTrigSysAbnormalsealcapHTRtemp;
	strcpy(dev->id,"TrigSysAbnormalsealcapHTRtemp");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_Abnormal_seal_cap_HTR_temp,"NDO.Sys_Abnormal_seal_cap_HTR_temp",FALSE);
	return dev;
}
IoTrigger* _initTrigSysAbnormalfurnaceheatertemp_0(){
	static IoTrigger staticTrigSysAbnormalfurnaceheatertemp("IoTrigger","TrigSysAbnormalfurnaceheatertemp",MODULE_NAME);
	IoTrigger::poTrigSysAbnormalfurnaceheatertemp=&staticTrigSysAbnormalfurnaceheatertemp;
	IoTrigger* dev=&staticTrigSysAbnormalfurnaceheatertemp;
	strcpy(dev->id,"TrigSysAbnormalfurnaceheatertemp");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_Abnormal_furnace_heater_temp,"NDO.Sys_Abnormal_furnace_heater_temp",FALSE);
	return dev;
}
IoTrigger* _initTrigF2CleanSwitchB_0(){
	static IoTrigger staticTrigF2CleanSwitchB("IoTrigger","TrigF2CleanSwitchB",MODULE_NAME);
	IoTrigger::poTrigF2CleanSwitchB=&staticTrigF2CleanSwitchB;
	IoTrigger* dev=&staticTrigF2CleanSwitchB;
	strcpy(dev->id,"TrigF2CleanSwitchB");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_F2_CleanSwitch_b,"NDO.Sys_F2_CleanSwitch_b",FALSE);
	return dev;
}
IoTrigger* _initTrigHFCleanSwitchB_0(){
	static IoTrigger staticTrigHFCleanSwitchB("IoTrigger","TrigHFCleanSwitchB",MODULE_NAME);
	IoTrigger::poTrigHFCleanSwitchB=&staticTrigHFCleanSwitchB;
	IoTrigger* dev=&staticTrigHFCleanSwitchB;
	strcpy(dev->id,"TrigHFCleanSwitchB");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_HF_CleanSwitch,"NDO.Sys_HF_CleanSwitch",FALSE);
	return dev;
}
IoTrigger* _initTrigForlineHeaterOn_0(){
	static IoTrigger staticTrigForlineHeaterOn("IoTrigger","TrigForlineHeaterOn",MODULE_NAME);
	IoTrigger::poTrigForlineHeaterOn=&staticTrigForlineHeaterOn;
	IoTrigger* dev=&staticTrigForlineHeaterOn;
	strcpy(dev->id,"TrigForlineHeaterOn");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Forline_heater_on,"NDO.Forline_heater_on",FALSE);
	return dev;
}
IoTrigger* _initTrigCoolingValve1_0(){
	static IoTrigger staticTrigCoolingValve1("IoTrigger","TrigCoolingValve1",MODULE_NAME);
	IoTrigger::poTrigCoolingValve1=&staticTrigCoolingValve1;
	IoTrigger* dev=&staticTrigCoolingValve1;
	strcpy(dev->id,"TrigCoolingValve1");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Cooling_Valve1,"NDO.Cooling_Valve1",FALSE);
	dev->diFeedback.create("diFeedback");
	return dev;
}
IoTrigger* _initTrigCoolingValve2_0(){
	static IoTrigger staticTrigCoolingValve2("IoTrigger","TrigCoolingValve2",MODULE_NAME);
	IoTrigger::poTrigCoolingValve2=&staticTrigCoolingValve2;
	IoTrigger* dev=&staticTrigCoolingValve2;
	strcpy(dev->id,"TrigCoolingValve2");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Cooling_Valve2,"NDO.Cooling_Valve2",FALSE);
	dev->diFeedback.create("diFeedback");
	return dev;
}
IoTrigger* _initTrigAV71AUTOCLOSE_0(){
	static IoTrigger staticTrigAV71AUTOCLOSE("IoTrigger","TrigAV71AUTOCLOSE",MODULE_NAME);
	IoTrigger::poTrigAV71AUTOCLOSE=&staticTrigAV71AUTOCLOSE;
	IoTrigger* dev=&staticTrigAV71AUTOCLOSE;
	strcpy(dev->id,"TrigAV71AUTOCLOSE");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->AV71_AUTO_CLOSE,"NDO.AV71_AUTO_CLOSE",FALSE);
	dev->diFeedback.create("diFeedback");
	return dev;
}
IoTrigger* _initTrigAV71PUMPON_0(){
	static IoTrigger staticTrigAV71PUMPON("IoTrigger","TrigAV71PUMPON",MODULE_NAME);
	IoTrigger::poTrigAV71PUMPON=&staticTrigAV71PUMPON;
	IoTrigger* dev=&staticTrigAV71PUMPON;
	strcpy(dev->id,"TrigAV71PUMPON");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->AV71_PUMP_ON,"NDO.AV71_PUMP_ON",FALSE);
	dev->diFeedback.create("diFeedback");
	return dev;
}
IoTrigger* _initTrigBALLVALVEOPENCLOSE_0(){
	static IoTrigger staticTrigBALLVALVEOPENCLOSE("IoTrigger","TrigBALLVALVEOPENCLOSE",MODULE_NAME);
	IoTrigger::poTrigBALLVALVEOPENCLOSE=&staticTrigBALLVALVEOPENCLOSE;
	IoTrigger* dev=&staticTrigBALLVALVEOPENCLOSE;
	strcpy(dev->id,"TrigBALLVALVEOPENCLOSE");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->BALL_VALVE_OPEN_CLOSE,"NDO.BALL_VALVE_OPEN_CLOSE",FALSE);
	dev->diFeedback.create("diFeedback");
	return dev;
}
IoTrigger* _initTrigVFDRES_0(){
	static IoTrigger staticTrigVFDRES("IoTrigger","TrigVFDRES",MODULE_NAME);
	IoTrigger::poTrigVFDRES=&staticTrigVFDRES;
	IoTrigger* dev=&staticTrigVFDRES;
	strcpy(dev->id,"TrigVFDRES");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_RES,"NDO.VFD_RES",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDMRS_0(){
	static IoTrigger staticTrigVFDMRS("IoTrigger","TrigVFDMRS",MODULE_NAME);
	IoTrigger::poTrigVFDMRS=&staticTrigVFDMRS;
	IoTrigger* dev=&staticTrigVFDMRS;
	strcpy(dev->id,"TrigVFDMRS");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_MRS,"NDO.VFD_MRS",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRT_0(){
	static IoTrigger staticTrigVFDRT("IoTrigger","TrigVFDRT",MODULE_NAME);
	IoTrigger::poTrigVFDRT=&staticTrigVFDRT;
	IoTrigger* dev=&staticTrigVFDRT;
	strcpy(dev->id,"TrigVFDRT");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_RT,"NDO.VFD_RT",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDJOG_0(){
	static IoTrigger staticTrigVFDJOG("IoTrigger","TrigVFDJOG",MODULE_NAME);
	IoTrigger::poTrigVFDJOG=&staticTrigVFDJOG;
	IoTrigger* dev=&staticTrigVFDJOG;
	strcpy(dev->id,"TrigVFDJOG");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_JOG,"NDO.VFD_JOG",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRL_0(){
	static IoTrigger staticTrigVFDRL("IoTrigger","TrigVFDRL",MODULE_NAME);
	IoTrigger::poTrigVFDRL=&staticTrigVFDRL;
	IoTrigger* dev=&staticTrigVFDRL;
	strcpy(dev->id,"TrigVFDRL");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_RL,"NDO.VFD_RL",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRM_0(){
	static IoTrigger staticTrigVFDRM("IoTrigger","TrigVFDRM",MODULE_NAME);
	IoTrigger::poTrigVFDRM=&staticTrigVFDRM;
	IoTrigger* dev=&staticTrigVFDRM;
	strcpy(dev->id,"TrigVFDRM");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_RM,"NDO.VFD_RM",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRH_0(){
	static IoTrigger staticTrigVFDRH("IoTrigger","TrigVFDRH",MODULE_NAME);
	IoTrigger::poTrigVFDRH=&staticTrigVFDRH;
	IoTrigger* dev=&staticTrigVFDRH;
	strcpy(dev->id,"TrigVFDRH");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_RH,"NDO.VFD_RH",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDSTP_0(){
	static IoTrigger staticTrigVFDSTP("IoTrigger","TrigVFDSTP",MODULE_NAME);
	IoTrigger::poTrigVFDSTP=&staticTrigVFDSTP;
	IoTrigger* dev=&staticTrigVFDSTP;
	strcpy(dev->id,"TrigVFDSTP");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_STP,"NDO.VFD_STP",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRTR_0(){
	static IoTrigger staticTrigVFDRTR("IoTrigger","TrigVFDRTR",MODULE_NAME);
	IoTrigger::poTrigVFDRTR=&staticTrigVFDRTR;
	IoTrigger* dev=&staticTrigVFDRTR;
	strcpy(dev->id,"TrigVFDRTR");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_STR,"NDO.VFD_STR",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRTF_0(){
	static IoTrigger staticTrigVFDRTF("IoTrigger","TrigVFDRTF",MODULE_NAME);
	IoTrigger::poTrigVFDRTF=&staticTrigVFDRTF;
	IoTrigger* dev=&staticTrigVFDRTF;
	strcpy(dev->id,"TrigVFDRTF");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->VFD_STF,"NDO.VFD_STF",FALSE);
	return dev;
}
IoTrigger* _initTrigVDFfrequency_0(){
	static IoTrigger staticTrigVDFfrequency("IoTrigger","TrigVDFfrequency",MODULE_NAME);
	IoTrigger::poTrigVDFfrequency=&staticTrigVDFfrequency;
	IoTrigger* dev=&staticTrigVDFfrequency;
	strcpy(dev->id,"TrigVDFfrequency");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->VDF_frequency,"AO.VDF_frequency",FALSE);
	return dev;
}
IoTrigger* _initTrigVFDRampRate_0(){
	static IoTrigger staticTrigVFDRampRate("IoTrigger","TrigVFDRampRate",MODULE_NAME);
	IoTrigger::poTrigVFDRampRate=&staticTrigVFDRampRate;
	IoTrigger* dev=&staticTrigVFDRampRate;
	strcpy(dev->id,"TrigVFDRampRate");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger");
	return dev;
}
IoTrigger* _initTrigGasLineHeaterMemoryChange_0(){
	static IoTrigger staticTrigGasLineHeaterMemoryChange("IoTrigger","TrigGasLineHeaterMemoryChange",MODULE_NAME);
	IoTrigger::poTrigGasLineHeaterMemoryChange=&staticTrigGasLineHeaterMemoryChange;
	IoTrigger* dev=&staticTrigGasLineHeaterMemoryChange;
	strcpy(dev->id,"TrigGasLineHeaterMemoryChange");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger");
	return dev;
}
IoTrigger* _initTrigCREFON_0(){
	static IoTrigger staticTrigCREFON("IoTrigger","TrigCREFON",MODULE_NAME);
	IoTrigger::poTrigCREFON=&staticTrigCREFON;
	IoTrigger* dev=&staticTrigCREFON;
	strcpy(dev->id,"TrigCREFON");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LDS1_REQUEST_Or_VALVE_OPEN,"NDO.LDS1_REQUEST_Or_VALVE_OPEN",FALSE);
	return dev;
}
IoTrigger* _initTrigSIREFON_0(){
	static IoTrigger staticTrigSIREFON("IoTrigger","TrigSIREFON",MODULE_NAME);
	IoTrigger::poTrigSIREFON=&staticTrigSIREFON;
	IoTrigger* dev=&staticTrigSIREFON;
	strcpy(dev->id,"TrigSIREFON");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LSD2_REQUEST_Or_VALVE_OPEN,"NDO.LSD2_REQUEST_Or_VALVE_OPEN",FALSE);
	return dev;
}
IoTrigger* _initTrigDPsw_0(){
	static IoTrigger staticTrigDPsw("IoTrigger","TrigDPsw",MODULE_NAME);
	IoTrigger::poTrigDPsw=&staticTrigDPsw;
	IoTrigger* dev=&staticTrigDPsw;
	strcpy(dev->id,"TrigDPsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DP_sw,"NDO.DP_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigBWRsw_0(){
	static IoTrigger staticTrigBWRsw("IoTrigger","TrigBWRsw",MODULE_NAME);
	IoTrigger::poTrigBWRsw=&staticTrigBWRsw;
	IoTrigger* dev=&staticTrigBWRsw;
	strcpy(dev->id,"TrigBWRsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->BWR_sw,"NDO.BWR_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigDPR1sw_0(){
	static IoTrigger staticTrigDPR1sw("IoTrigger","TrigDPR1sw",MODULE_NAME);
	IoTrigger::poTrigDPR1sw=&staticTrigDPR1sw;
	IoTrigger* dev=&staticTrigDPR1sw;
	strcpy(dev->id,"TrigDPR1sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DPR1_sw,"NDO.DPR1_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigDPR2sw_0(){
	static IoTrigger staticTrigDPR2sw("IoTrigger","TrigDPR2sw",MODULE_NAME);
	IoTrigger::poTrigDPR2sw=&staticTrigDPR2sw;
	IoTrigger* dev=&staticTrigDPR2sw;
	strcpy(dev->id,"TrigDPR2sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DPR2_sw,"NDO.DPR2_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigWATRsw_0(){
	static IoTrigger staticTrigWATRsw("IoTrigger","TrigWATRsw",MODULE_NAME);
	IoTrigger::poTrigWATRsw=&staticTrigWATRsw;
	IoTrigger* dev=&staticTrigWATRsw;
	strcpy(dev->id,"TrigWATRsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->WAT_R_sw,"NDO.WAT_R_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigWATFsw_0(){
	static IoTrigger staticTrigWATFsw("IoTrigger","TrigWATFsw",MODULE_NAME);
	IoTrigger::poTrigWATFsw=&staticTrigWATFsw;
	IoTrigger* dev=&staticTrigWATFsw;
	strcpy(dev->id,"TrigWATFsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->WAT_F_sw,"NDO.WAT_F_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigHTR1sw_0(){
	static IoTrigger staticTrigHTR1sw("IoTrigger","TrigHTR1sw",MODULE_NAME);
	IoTrigger::poTrigHTR1sw=&staticTrigHTR1sw;
	IoTrigger* dev=&staticTrigHTR1sw;
	strcpy(dev->id,"TrigHTR1sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->HTR1_sw,"NDO.HTR1_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigHTR2sw_0(){
	static IoTrigger staticTrigHTR2sw("IoTrigger","TrigHTR2sw",MODULE_NAME);
	IoTrigger::poTrigHTR2sw=&staticTrigHTR2sw;
	IoTrigger* dev=&staticTrigHTR2sw;
	strcpy(dev->id,"TrigHTR2sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->HTR2_sw,"NDO.HTR2_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigHTR3sw_0(){
	static IoTrigger staticTrigHTR3sw("IoTrigger","TrigHTR3sw",MODULE_NAME);
	IoTrigger::poTrigHTR3sw=&staticTrigHTR3sw;
	IoTrigger* dev=&staticTrigHTR3sw;
	strcpy(dev->id,"TrigHTR3sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->HTR3_sw,"NDO.HTR3_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigHTR4sw_0(){
	static IoTrigger staticTrigHTR4sw("IoTrigger","TrigHTR4sw",MODULE_NAME);
	IoTrigger::poTrigHTR4sw=&staticTrigHTR4sw;
	IoTrigger* dev=&staticTrigHTR4sw;
	strcpy(dev->id,"TrigHTR4sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->HTR4_sw,"NDO.HTR4_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigHTR5sw_0(){
	static IoTrigger staticTrigHTR5sw("IoTrigger","TrigHTR5sw",MODULE_NAME);
	IoTrigger::poTrigHTR5sw=&staticTrigHTR5sw;
	IoTrigger* dev=&staticTrigHTR5sw;
	strcpy(dev->id,"TrigHTR5sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->HTR5_sw,"NDO.HTR5_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigAGVsw_0(){
	static IoTrigger staticTrigAGVsw("IoTrigger","TrigAGVsw",MODULE_NAME);
	IoTrigger::poTrigAGVsw=&staticTrigAGVsw;
	IoTrigger* dev=&staticTrigAGVsw;
	strcpy(dev->id,"TrigAGVsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->AGV_sw,"NDO.AGV_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigDEPOsw_0(){
	static IoTrigger staticTrigDEPOsw("IoTrigger","TrigDEPOsw",MODULE_NAME);
	IoTrigger::poTrigDEPOsw=&staticTrigDEPOsw;
	IoTrigger* dev=&staticTrigDEPOsw;
	strcpy(dev->id,"TrigDEPOsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DEPO_sw,"NDO.DEPO_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigNF3Clnsw_0(){
	static IoTrigger staticTrigNF3Clnsw("IoTrigger","TrigNF3Clnsw",MODULE_NAME);
	IoTrigger::poTrigNF3Clnsw=&staticTrigNF3Clnsw;
	IoTrigger* dev=&staticTrigNF3Clnsw;
	strcpy(dev->id,"TrigNF3Clnsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->CLN_sw,"NDO.CLN_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigECOsw_0(){
	static IoTrigger staticTrigECOsw("IoTrigger","TrigECOsw",MODULE_NAME);
	IoTrigger::poTrigECOsw=&staticTrigECOsw;
	IoTrigger* dev=&staticTrigECOsw;
	strcpy(dev->id,"TrigECOsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Pump1_ECO_sw,"NDO.Pump1_ECO_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigPZEROsw_0(){
	static IoTrigger staticTrigPZEROsw("IoTrigger","TrigPZEROsw",MODULE_NAME);
	IoTrigger::poTrigPZEROsw=&staticTrigPZEROsw;
	IoTrigger* dev=&staticTrigPZEROsw;
	strcpy(dev->id,"TrigPZEROsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->PZ_sw,"NDO.PZ_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigPCONTsw_0(){
	static IoTrigger staticTrigPCONTsw("IoTrigger","TrigPCONTsw",MODULE_NAME);
	IoTrigger::poTrigPCONTsw=&staticTrigPCONTsw;
	IoTrigger* dev=&staticTrigPCONTsw;
	strcpy(dev->id,"TrigPCONTsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->P_CONT_sw,"NDO.P_CONT_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigCEXHsw_0(){
	static IoTrigger staticTrigCEXHsw("IoTrigger","TrigCEXHsw",MODULE_NAME);
	IoTrigger::poTrigCEXHsw=&staticTrigCEXHsw;
	IoTrigger* dev=&staticTrigCEXHsw;
	strcpy(dev->id,"TrigCEXHsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->C_EXH_sw,"NDO.C_EXH_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigF2CLNsw_0(){
	static IoTrigger staticTrigF2CLNsw("IoTrigger","TrigF2CLNsw",MODULE_NAME);
	IoTrigger::poTrigF2CLNsw=&staticTrigF2CLNsw;
	IoTrigger* dev=&staticTrigF2CLNsw;
	strcpy(dev->id,"TrigF2CLNsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->F2_CLN_sw,"NDO.F2_CLN_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigFNsw_0(){
	static IoTrigger staticTrigFNsw("IoTrigger","TrigFNsw",MODULE_NAME);
	IoTrigger::poTrigFNsw=&staticTrigFNsw;
	IoTrigger* dev=&staticTrigFNsw;
	strcpy(dev->id,"TrigFNsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->F_N_sw,"NDO.F_N_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigTADJsw_0(){
	static IoTrigger staticTrigTADJsw("IoTrigger","TrigTADJsw",MODULE_NAME);
	IoTrigger::poTrigTADJsw=&staticTrigTADJsw;
	IoTrigger* dev=&staticTrigTADJsw;
	strcpy(dev->id,"TrigTADJsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DGZERO_sw,"NDO.DGZERO_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigTREFsw_0(){
	static IoTrigger staticTrigTREFsw("IoTrigger","TrigTREFsw",MODULE_NAME);
	IoTrigger::poTrigTREFsw=&staticTrigTREFsw;
	IoTrigger* dev=&staticTrigTREFsw;
	strcpy(dev->id,"TrigTREFsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->T_REF_sw,"NDO.T_REF_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigTMNTsw_0(){
	static IoTrigger staticTrigTMNTsw("IoTrigger","TrigTMNTsw",MODULE_NAME);
	IoTrigger::poTrigTMNTsw=&staticTrigTMNTsw;
	IoTrigger* dev=&staticTrigTMNTsw;
	strcpy(dev->id,"TrigTMNTsw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->T_MNT_sw,"NDO.T_MNT_sw",FALSE);
	return dev;
}
IoTrigger* _initTrigSP1sw_0(){
	static IoTrigger staticTrigSP1sw("IoTrigger","TrigSP1sw",MODULE_NAME);
	IoTrigger::poTrigSP1sw=&staticTrigSP1sw;
	IoTrigger* dev=&staticTrigSP1sw;
	strcpy(dev->id,"TrigSP1sw");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger");
	return dev;
}
IoTrigger* _initTrigFurnaceTempabnormal_0(){
	static IoTrigger staticTrigFurnaceTempabnormal("IoTrigger","TrigFurnaceTempabnormal",MODULE_NAME);
	IoTrigger::poTrigFurnaceTempabnormal=&staticTrigFurnaceTempabnormal;
	IoTrigger* dev=&staticTrigFurnaceTempabnormal;
	strcpy(dev->id,"TrigFurnaceTempabnormal");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Furnace_Temp_abnormal,"NDO.Furnace_Temp_abnormal",FALSE);
	return dev;
}
IoTrigger* _initTrigLSCHttempabnormal_0(){
	static IoTrigger staticTrigLSCHttempabnormal("IoTrigger","TrigLSCHttempabnormal",MODULE_NAME);
	IoTrigger::poTrigLSCHttempabnormal=&staticTrigLSCHttempabnormal;
	IoTrigger* dev=&staticTrigLSCHttempabnormal;
	strcpy(dev->id,"TrigLSCHttempabnormal");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LSC_Ht_temp_abnormal,"NDO.LSC_Ht_temp_abnormal",FALSE);
	return dev;
}
IoTrigger* _initTrigGBHttempabnormal_0(){
	static IoTrigger staticTrigGBHttempabnormal("IoTrigger","TrigGBHttempabnormal",MODULE_NAME);
	IoTrigger::poTrigGBHttempabnormal=&staticTrigGBHttempabnormal;
	IoTrigger* dev=&staticTrigGBHttempabnormal;
	strcpy(dev->id,"TrigGBHttempabnormal");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->GB_Ht_temp_abnormal,"NDO.GB_Ht_temp_abnormal",FALSE);
	return dev;
}
IoTrigger* _initTrigEXHHttempabnormal_0(){
	static IoTrigger staticTrigEXHHttempabnormal("IoTrigger","TrigEXHHttempabnormal",MODULE_NAME);
	IoTrigger::poTrigEXHHttempabnormal=&staticTrigEXHHttempabnormal;
	IoTrigger* dev=&staticTrigEXHHttempabnormal;
	strcpy(dev->id,"TrigEXHHttempabnormal");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->EXH_Ht_temp_abnormal,"NDO.EXH_Ht_temp_abnormal",FALSE);
	return dev;
}
IoTrigger* _initTrigCLNTempabnormal_0(){
	static IoTrigger staticTrigCLNTempabnormal("IoTrigger","TrigCLNTempabnormal",MODULE_NAME);
	IoTrigger::poTrigCLNTempabnormal=&staticTrigCLNTempabnormal;
	IoTrigger* dev=&staticTrigCLNTempabnormal;
	strcpy(dev->id,"TrigCLNTempabnormal");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->CLN_Temp_abnormal,"NDO.CLN_Temp_abnormal",FALSE);
	return dev;
}
IoTrigger* _initTrigVaccumPumpBothOn_0(){
	static IoTrigger staticTrigVaccumPumpBothOn("IoTrigger","TrigVaccumPumpBothOn",MODULE_NAME);
	IoTrigger::poTrigVaccumPumpBothOn=&staticTrigVaccumPumpBothOn;
	IoTrigger* dev=&staticTrigVaccumPumpBothOn;
	strcpy(dev->id,"TrigVaccumPumpBothOn");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Vaccum_Pump_Both_On,"NDO.Vaccum_Pump_Both_On",FALSE);
	return dev;
}
IoTrigger* _initTrigVaccumPumpAUCOn_0(){
	static IoTrigger staticTrigVaccumPumpAUCOn("IoTrigger","TrigVaccumPumpAUCOn",MODULE_NAME);
	IoTrigger::poTrigVaccumPumpAUCOn=&staticTrigVaccumPumpAUCOn;
	IoTrigger* dev=&staticTrigVaccumPumpAUCOn;
	strcpy(dev->id,"TrigVaccumPumpAUCOn");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Vaccum_Pump_AUC_On,"NDO.Vaccum_Pump_AUC_On",FALSE);
	return dev;
}
IoTrigger* _initTrigLAinternalaircycleswitch2open_0(){
	static IoTrigger staticTrigLAinternalaircycleswitch2open("IoTrigger","TrigLAinternalaircycleswitch2open",MODULE_NAME);
	IoTrigger::poTrigLAinternalaircycleswitch2open=&staticTrigLAinternalaircycleswitch2open;
	IoTrigger* dev=&staticTrigLAinternalaircycleswitch2open;
	strcpy(dev->id,"TrigLAinternalaircycleswitch2open");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LA_internal_air_cycle_switch_2_open,"NDO.LA_internal_air_cycle_switch_2_open",FALSE);
	return dev;
}
IoTrigger* _initTrigLAinternalaircycleswitch2close_0(){
	static IoTrigger staticTrigLAinternalaircycleswitch2close("IoTrigger","TrigLAinternalaircycleswitch2close",MODULE_NAME);
	IoTrigger::poTrigLAinternalaircycleswitch2close=&staticTrigLAinternalaircycleswitch2close;
	IoTrigger* dev=&staticTrigLAinternalaircycleswitch2close;
	strcpy(dev->id,"TrigLAinternalaircycleswitch2close");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LA_internal_air_cycle_switch_2_close,"NDO.LA_internal_air_cycle_switch_2_close",FALSE);
	return dev;
}
IoTrigger* _initTrigMS501_0(){
	static IoTrigger staticTrigMS501("IoTrigger","TrigMS501",MODULE_NAME);
	IoTrigger::poTrigMS501=&staticTrigMS501;
	IoTrigger* dev=&staticTrigMS501;
	strcpy(dev->id,"TrigMS501");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LA_internal_air_cycle_fan_4_switch,"NDO.LA_internal_air_cycle_fan_4_switch",FALSE);
	return dev;
}
IoTrigger* _initTrigMS502_0(){
	static IoTrigger staticTrigMS502("IoTrigger","TrigMS502",MODULE_NAME);
	IoTrigger::poTrigMS502=&staticTrigMS502;
	IoTrigger* dev=&staticTrigMS502;
	strcpy(dev->id,"TrigMS502");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LA_internal_air_cycle_fan_2_switch,"NDO.LA_internal_air_cycle_fan_2_switch",FALSE);
	return dev;
}
IoTrigger* _initTrigMS503_0(){
	static IoTrigger staticTrigMS503("IoTrigger","TrigMS503",MODULE_NAME);
	IoTrigger::poTrigMS503=&staticTrigMS503;
	IoTrigger* dev=&staticTrigMS503;
	strcpy(dev->id,"TrigMS503");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LA_internal_air_cycle_fan_3_switch,"NDO.LA_internal_air_cycle_fan_3_switch",FALSE);
	return dev;
}
IoTrigger* _initTrigMS504_0(){
	static IoTrigger staticTrigMS504("IoTrigger","TrigMS504",MODULE_NAME);
	IoTrigger::poTrigMS504=&staticTrigMS504;
	IoTrigger* dev=&staticTrigMS504;
	strcpy(dev->id,"TrigMS504");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->LA_internal_air_cycle_fan_1_switch,"NDO.LA_internal_air_cycle_fan_1_switch",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeLAO2CheckFirstEnable_0(){
	static IoTrigger staticTrigN2PurgeLAO2CheckFirstEnable("IoTrigger","TrigN2PurgeLAO2CheckFirstEnable",MODULE_NAME);
	IoTrigger::poTrigN2PurgeLAO2CheckFirstEnable=&staticTrigN2PurgeLAO2CheckFirstEnable;
	IoTrigger* dev=&staticTrigN2PurgeLAO2CheckFirstEnable;
	strcpy(dev->id,"TrigN2PurgeLAO2CheckFirstEnable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_LA_O2_Check_First_EN,"NDO.Sys_LA_O2_Check_First_EN",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeFIMS1O2CheckEnable_0(){
	static IoTrigger staticTrigN2PurgeFIMS1O2CheckEnable("IoTrigger","TrigN2PurgeFIMS1O2CheckEnable",MODULE_NAME);
	IoTrigger::poTrigN2PurgeFIMS1O2CheckEnable=&staticTrigN2PurgeFIMS1O2CheckEnable;
	IoTrigger* dev=&staticTrigN2PurgeFIMS1O2CheckEnable;
	strcpy(dev->id,"TrigN2PurgeFIMS1O2CheckEnable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_FIMS1_O2_Check_EN,"NDO.Sys_FIMS1_O2_Check_EN",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeFIMS2O2CheckEnable_0(){
	static IoTrigger staticTrigN2PurgeFIMS2O2CheckEnable("IoTrigger","TrigN2PurgeFIMS2O2CheckEnable",MODULE_NAME);
	IoTrigger::poTrigN2PurgeFIMS2O2CheckEnable=&staticTrigN2PurgeFIMS2O2CheckEnable;
	IoTrigger* dev=&staticTrigN2PurgeFIMS2O2CheckEnable;
	strcpy(dev->id,"TrigN2PurgeFIMS2O2CheckEnable");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_FIMS2_O2_Check_EN,"NDO.Sys_FIMS2_O2_Check_EN",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeProcess_0(){
	static IoTrigger staticTrigN2PurgeProcess("IoTrigger","TrigN2PurgeProcess",MODULE_NAME);
	IoTrigger::poTrigN2PurgeProcess=&staticTrigN2PurgeProcess;
	IoTrigger* dev=&staticTrigN2PurgeProcess;
	strcpy(dev->id,"TrigN2PurgeProcess");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->Sys_N2_PURGE_PROCESS,"NDO.Sys_N2_PURGE_PROCESS",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeLAO2OverTime_0(){
	static IoTrigger staticTrigN2PurgeLAO2OverTime("IoTrigger","TrigN2PurgeLAO2OverTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeLAO2OverTime=&staticTrigN2PurgeLAO2OverTime;
	IoTrigger* dev=&staticTrigN2PurgeLAO2OverTime;
	strcpy(dev->id,"TrigN2PurgeLAO2OverTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_LA_O2_Over_Time,"AO.UI_LA_O2_Over_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeLAO2CheckTime_0(){
	static IoTrigger staticTrigN2PurgeLAO2CheckTime("IoTrigger","TrigN2PurgeLAO2CheckTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeLAO2CheckTime=&staticTrigN2PurgeLAO2CheckTime;
	IoTrigger* dev=&staticTrigN2PurgeLAO2CheckTime;
	strcpy(dev->id,"TrigN2PurgeLAO2CheckTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_LA_O2_Check_Time,"AO.UI_LA_O2_Check_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeFOUPO2OverTime_0(){
	static IoTrigger staticTrigN2PurgeFOUPO2OverTime("IoTrigger","TrigN2PurgeFOUPO2OverTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeFOUPO2OverTime=&staticTrigN2PurgeFOUPO2OverTime;
	IoTrigger* dev=&staticTrigN2PurgeFOUPO2OverTime;
	strcpy(dev->id,"TrigN2PurgeFOUPO2OverTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_FOUP_O2_Over_Time,"AO.UI_FOUP_O2_Over_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeFOUPO2CheckTime_0(){
	static IoTrigger staticTrigN2PurgeFOUPO2CheckTime("IoTrigger","TrigN2PurgeFOUPO2CheckTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeFOUPO2CheckTime=&staticTrigN2PurgeFOUPO2CheckTime;
	IoTrigger* dev=&staticTrigN2PurgeFOUPO2CheckTime;
	strcpy(dev->id,"TrigN2PurgeFOUPO2CheckTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_FOUP_O2_Check_Time,"AO.UI_FOUP_O2_Check_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeExchangeLATOFOUPWaitTime_0(){
	static IoTrigger staticTrigN2PurgeExchangeLATOFOUPWaitTime("IoTrigger","TrigN2PurgeExchangeLATOFOUPWaitTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeExchangeLATOFOUPWaitTime=&staticTrigN2PurgeExchangeLATOFOUPWaitTime;
	IoTrigger* dev=&staticTrigN2PurgeExchangeLATOFOUPWaitTime;
	strcpy(dev->id,"TrigN2PurgeExchangeLATOFOUPWaitTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_Exchange_LA_TO_FOUP_Wait_Time,"AO.UI_Exchange_LA_TO_FOUP_Wait_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeExchangeFOUPTOLAWaitTime_0(){
	static IoTrigger staticTrigN2PurgeExchangeFOUPTOLAWaitTime("IoTrigger","TrigN2PurgeExchangeFOUPTOLAWaitTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeExchangeFOUPTOLAWaitTime=&staticTrigN2PurgeExchangeFOUPTOLAWaitTime;
	IoTrigger* dev=&staticTrigN2PurgeExchangeFOUPTOLAWaitTime;
	strcpy(dev->id,"TrigN2PurgeExchangeFOUPTOLAWaitTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_Exchange_FOUP_TO_LA_Wait_Time,"AO.UI_Exchange_FOUP_TO_LA_Wait_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeExchangeFOUPTOFOUPWaitTime_0(){
	static IoTrigger staticTrigN2PurgeExchangeFOUPTOFOUPWaitTime("IoTrigger","TrigN2PurgeExchangeFOUPTOFOUPWaitTime",MODULE_NAME);
	IoTrigger::poTrigN2PurgeExchangeFOUPTOFOUPWaitTime=&staticTrigN2PurgeExchangeFOUPTOFOUPWaitTime;
	IoTrigger* dev=&staticTrigN2PurgeExchangeFOUPTOFOUPWaitTime;
	strcpy(dev->id,"TrigN2PurgeExchangeFOUPTOFOUPWaitTime");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_Exchange_FOUP_TO_FOUP_Wait_Time,"AO.UI_Exchange_FOUP_TO_FOUP_Wait_Time",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeLAO2CheckSV_0(){
	static IoTrigger staticTrigN2PurgeLAO2CheckSV("IoTrigger","TrigN2PurgeLAO2CheckSV",MODULE_NAME);
	IoTrigger::poTrigN2PurgeLAO2CheckSV=&staticTrigN2PurgeLAO2CheckSV;
	IoTrigger* dev=&staticTrigN2PurgeLAO2CheckSV;
	strcpy(dev->id,"TrigN2PurgeLAO2CheckSV");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_LA_O2_Check_SV,"AO.UI_LA_O2_Check_SV",FALSE);
	return dev;
}
IoTrigger* _initTrigN2PurgeFOUPO2CheckSV_0(){
	static IoTrigger staticTrigN2PurgeFOUPO2CheckSV("IoTrigger","TrigN2PurgeFOUPO2CheckSV",MODULE_NAME);
	IoTrigger::poTrigN2PurgeFOUPO2CheckSV=&staticTrigN2PurgeFOUPO2CheckSV;
	IoTrigger* dev=&staticTrigN2PurgeFOUPO2CheckSV;
	strcpy(dev->id,"TrigN2PurgeFOUPO2CheckSV");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->UI_FOUP_O2_Check_SV,"AO.UI_FOUP_O2_Check_SV",FALSE);
	return dev;
}
IoTrigger* _initTrigJETCMode_0(){
	static IoTrigger staticTrigJETCMode("IoTrigger","TrigJETCMode",MODULE_NAME);
	IoTrigger::poTrigJETCMode=&staticTrigJETCMode;
	IoTrigger* dev=&staticTrigJETCMode;
	strcpy(dev->id,"TrigJETCMode");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->FURNACE_JETCMode,"AO.FURNACE_JETCMode",FALSE);
	dev->aiFeedback.create("aiFeedback",&AI->FURNACE_JETCMode,"AI.FURNACE_JETCMode",TRUE);
	return dev;
}
IoTrigger* _initTrigDataSend_0(){
	static IoTrigger staticTrigDataSend("IoTrigger","TrigDataSend",MODULE_NAME);
	IoTrigger::poTrigDataSend=&staticTrigDataSend;
	IoTrigger* dev=&staticTrigDataSend;
	strcpy(dev->id,"TrigDataSend");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DataSend,"NDO.DataSend",FALSE);
	return dev;
}
IoTrigger* _initTrigDataLoad_0(){
	static IoTrigger staticTrigDataLoad("IoTrigger","TrigDataLoad",MODULE_NAME);
	IoTrigger::poTrigDataLoad=&staticTrigDataLoad;
	IoTrigger* dev=&staticTrigDataLoad;
	strcpy(dev->id,"TrigDataLoad");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->doTrigger.create("doTrigger",&NDO->DataLoad,"NDO.DataLoad",FALSE);
	return dev;
}
IoTrigger* _initTrigFOUPRobotActionCommand_0(){
	static IoTrigger staticTrigFOUPRobotActionCommand("IoTrigger","TrigFOUPRobotActionCommand",MODULE_NAME);
	IoTrigger::poTrigFOUPRobotActionCommand=&staticTrigFOUPRobotActionCommand;
	IoTrigger* dev=&staticTrigFOUPRobotActionCommand;
	strcpy(dev->id,"TrigFOUPRobotActionCommand");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->FTRPickPlaceCMD,"AO.FTRPickPlaceCMD",FALSE);
	dev->aiFeedback.create("aiFeedback",&AI->FTRPickPlaceAcK,"AI.FTRPickPlaceAcK",TRUE);
	return dev;
}
IoTrigger* _initTrigWaferRobotActionCommand_0(){
	static IoTrigger staticTrigWaferRobotActionCommand("IoTrigger","TrigWaferRobotActionCommand",MODULE_NAME);
	IoTrigger::poTrigWaferRobotActionCommand=&staticTrigWaferRobotActionCommand;
	IoTrigger* dev=&staticTrigWaferRobotActionCommand;
	strcpy(dev->id,"TrigWaferRobotActionCommand");
	strcpy(dev->display,"");
	strcpy(dev->schematicId,"");
	strcpy(dev->unit,"");
	dev->aoTrigger.create("aoTrigger",&AO->WTRPickPlaceCMD,"AO.WTRPickPlaceCMD",FALSE);
	dev->aiFeedback.create("aiFeedback",&AI->WTRPickPlaceAcK,"AI.WTRPickPlaceAcK",TRUE);
	return dev;
}
void initIoTrigger(){
	IoTrigger* dev;
	dev=_initTrigFFULSPEED_0();
	dev=_initTrigFFUHSPEED_0();
	dev=_initTrigFURNACEWREN_0();
	dev=_initTrigFurnace1zoneheatingenable_0();
	dev=_initTrigFurnace2zoneheatingenable_0();
	dev=_initTrigFurnace3zoneheatingenable_0();
	dev=_initTrigFurnace4zoneheatingenable_0();
	dev=_initTrigFurnace5zoneheatingenable_0();
	dev=_initTrigFurnace6zoneheatingenable_0();
	dev=_initTrigFurnace7zoneheatingenable_0();
	dev=_initTrigSysPLCResetb_0();
	dev=_initTrigSysBlowerSwitchb_0();
	dev=_initTrigSysLightCurtainBypassb_0();
	dev=_initTrigSysFFUAlarmResetb_0();
	dev=_initTrigSysMINI8AlarmResetb_0();
	dev=_initTrigSysVGUnitConversionb_0();
	dev=_initTrigSysAbnormalsealcapHTRtemp_0();
	dev=_initTrigSysAbnormalfurnaceheatertemp_0();
	dev=_initTrigF2CleanSwitchB_0();
	dev=_initTrigHFCleanSwitchB_0();
	dev=_initTrigForlineHeaterOn_0();
	dev=_initTrigCoolingValve1_0();
	dev=_initTrigCoolingValve2_0();
	dev=_initTrigAV71AUTOCLOSE_0();
	dev=_initTrigAV71PUMPON_0();
	dev=_initTrigBALLVALVEOPENCLOSE_0();
	dev=_initTrigVFDRES_0();
	dev=_initTrigVFDMRS_0();
	dev=_initTrigVFDRT_0();
	dev=_initTrigVFDJOG_0();
	dev=_initTrigVFDRL_0();
	dev=_initTrigVFDRM_0();
	dev=_initTrigVFDRH_0();
	dev=_initTrigVFDSTP_0();
	dev=_initTrigVFDRTR_0();
	dev=_initTrigVFDRTF_0();
	dev=_initTrigVDFfrequency_0();
	dev=_initTrigVFDRampRate_0();
	dev=_initTrigGasLineHeaterMemoryChange_0();
	dev=_initTrigCREFON_0();
	dev=_initTrigSIREFON_0();
	dev=_initTrigDPsw_0();
	dev=_initTrigBWRsw_0();
	dev=_initTrigDPR1sw_0();
	dev=_initTrigDPR2sw_0();
	dev=_initTrigWATRsw_0();
	dev=_initTrigWATFsw_0();
	dev=_initTrigHTR1sw_0();
	dev=_initTrigHTR2sw_0();
	dev=_initTrigHTR3sw_0();
	dev=_initTrigHTR4sw_0();
	dev=_initTrigHTR5sw_0();
	dev=_initTrigAGVsw_0();
	dev=_initTrigDEPOsw_0();
	dev=_initTrigNF3Clnsw_0();
	dev=_initTrigECOsw_0();
	dev=_initTrigPZEROsw_0();
	dev=_initTrigPCONTsw_0();
	dev=_initTrigCEXHsw_0();
	dev=_initTrigF2CLNsw_0();
	dev=_initTrigFNsw_0();
	dev=_initTrigTADJsw_0();
	dev=_initTrigTREFsw_0();
	dev=_initTrigTMNTsw_0();
	dev=_initTrigSP1sw_0();
	dev=_initTrigFurnaceTempabnormal_0();
	dev=_initTrigLSCHttempabnormal_0();
	dev=_initTrigGBHttempabnormal_0();
	dev=_initTrigEXHHttempabnormal_0();
	dev=_initTrigCLNTempabnormal_0();
	dev=_initTrigVaccumPumpBothOn_0();
	dev=_initTrigVaccumPumpAUCOn_0();
	dev=_initTrigLAinternalaircycleswitch2open_0();
	dev=_initTrigLAinternalaircycleswitch2close_0();
	dev=_initTrigMS501_0();
	dev=_initTrigMS502_0();
	dev=_initTrigMS503_0();
	dev=_initTrigMS504_0();
	dev=_initTrigN2PurgeLAO2CheckFirstEnable_0();
	dev=_initTrigN2PurgeFIMS1O2CheckEnable_0();
	dev=_initTrigN2PurgeFIMS2O2CheckEnable_0();
	dev=_initTrigN2PurgeProcess_0();
	dev=_initTrigN2PurgeLAO2OverTime_0();
	dev=_initTrigN2PurgeLAO2CheckTime_0();
	dev=_initTrigN2PurgeFOUPO2OverTime_0();
	dev=_initTrigN2PurgeFOUPO2CheckTime_0();
	dev=_initTrigN2PurgeExchangeLATOFOUPWaitTime_0();
	dev=_initTrigN2PurgeExchangeFOUPTOLAWaitTime_0();
	dev=_initTrigN2PurgeExchangeFOUPTOFOUPWaitTime_0();
	dev=_initTrigN2PurgeLAO2CheckSV_0();
	dev=_initTrigN2PurgeFOUPO2CheckSV_0();
	dev=_initTrigJETCMode_0();
	dev=_initTrigDataSend_0();
	dev=_initTrigDataLoad_0();
	dev=_initTrigFOUPRobotActionCommand_0();
	dev=_initTrigWaferRobotActionCommand_0();
}
IoTrigger* IoTrigger::poTrigFFULSPEED=NULL;
IoTrigger* IoTrigger::poTrigFFUHSPEED=NULL;
IoTrigger* IoTrigger::poTrigFURNACEWREN=NULL;
IoTrigger* IoTrigger::poTrigFurnace1zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigFurnace2zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigFurnace3zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigFurnace4zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigFurnace5zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigFurnace6zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigFurnace7zoneheatingenable=NULL;
IoTrigger* IoTrigger::poTrigSysPLCResetb=NULL;
IoTrigger* IoTrigger::poTrigSysBlowerSwitchb=NULL;
IoTrigger* IoTrigger::poTrigSysLightCurtainBypassb=NULL;
IoTrigger* IoTrigger::poTrigSysFFUAlarmResetb=NULL;
IoTrigger* IoTrigger::poTrigSysMINI8AlarmResetb=NULL;
IoTrigger* IoTrigger::poTrigSysVGUnitConversionb=NULL;
IoTrigger* IoTrigger::poTrigSysAbnormalsealcapHTRtemp=NULL;
IoTrigger* IoTrigger::poTrigSysAbnormalfurnaceheatertemp=NULL;
IoTrigger* IoTrigger::poTrigF2CleanSwitchB=NULL;
IoTrigger* IoTrigger::poTrigHFCleanSwitchB=NULL;
IoTrigger* IoTrigger::poTrigForlineHeaterOn=NULL;
IoTrigger* IoTrigger::poTrigCoolingValve1=NULL;
IoTrigger* IoTrigger::poTrigCoolingValve2=NULL;
IoTrigger* IoTrigger::poTrigAV71AUTOCLOSE=NULL;
IoTrigger* IoTrigger::poTrigAV71PUMPON=NULL;
IoTrigger* IoTrigger::poTrigBALLVALVEOPENCLOSE=NULL;
IoTrigger* IoTrigger::poTrigVFDRES=NULL;
IoTrigger* IoTrigger::poTrigVFDMRS=NULL;
IoTrigger* IoTrigger::poTrigVFDRT=NULL;
IoTrigger* IoTrigger::poTrigVFDJOG=NULL;
IoTrigger* IoTrigger::poTrigVFDRL=NULL;
IoTrigger* IoTrigger::poTrigVFDRM=NULL;
IoTrigger* IoTrigger::poTrigVFDRH=NULL;
IoTrigger* IoTrigger::poTrigVFDSTP=NULL;
IoTrigger* IoTrigger::poTrigVFDRTR=NULL;
IoTrigger* IoTrigger::poTrigVFDRTF=NULL;
IoTrigger* IoTrigger::poTrigVDFfrequency=NULL;
IoTrigger* IoTrigger::poTrigVFDRampRate=NULL;
IoTrigger* IoTrigger::poTrigGasLineHeaterMemoryChange=NULL;
IoTrigger* IoTrigger::poTrigCREFON=NULL;
IoTrigger* IoTrigger::poTrigSIREFON=NULL;
IoTrigger* IoTrigger::poTrigDPsw=NULL;
IoTrigger* IoTrigger::poTrigBWRsw=NULL;
IoTrigger* IoTrigger::poTrigDPR1sw=NULL;
IoTrigger* IoTrigger::poTrigDPR2sw=NULL;
IoTrigger* IoTrigger::poTrigWATRsw=NULL;
IoTrigger* IoTrigger::poTrigWATFsw=NULL;
IoTrigger* IoTrigger::poTrigHTR1sw=NULL;
IoTrigger* IoTrigger::poTrigHTR2sw=NULL;
IoTrigger* IoTrigger::poTrigHTR3sw=NULL;
IoTrigger* IoTrigger::poTrigHTR4sw=NULL;
IoTrigger* IoTrigger::poTrigHTR5sw=NULL;
IoTrigger* IoTrigger::poTrigAGVsw=NULL;
IoTrigger* IoTrigger::poTrigDEPOsw=NULL;
IoTrigger* IoTrigger::poTrigNF3Clnsw=NULL;
IoTrigger* IoTrigger::poTrigECOsw=NULL;
IoTrigger* IoTrigger::poTrigPZEROsw=NULL;
IoTrigger* IoTrigger::poTrigPCONTsw=NULL;
IoTrigger* IoTrigger::poTrigCEXHsw=NULL;
IoTrigger* IoTrigger::poTrigF2CLNsw=NULL;
IoTrigger* IoTrigger::poTrigFNsw=NULL;
IoTrigger* IoTrigger::poTrigTADJsw=NULL;
IoTrigger* IoTrigger::poTrigTREFsw=NULL;
IoTrigger* IoTrigger::poTrigTMNTsw=NULL;
IoTrigger* IoTrigger::poTrigSP1sw=NULL;
IoTrigger* IoTrigger::poTrigFurnaceTempabnormal=NULL;
IoTrigger* IoTrigger::poTrigLSCHttempabnormal=NULL;
IoTrigger* IoTrigger::poTrigGBHttempabnormal=NULL;
IoTrigger* IoTrigger::poTrigEXHHttempabnormal=NULL;
IoTrigger* IoTrigger::poTrigCLNTempabnormal=NULL;
IoTrigger* IoTrigger::poTrigVaccumPumpBothOn=NULL;
IoTrigger* IoTrigger::poTrigVaccumPumpAUCOn=NULL;
IoTrigger* IoTrigger::poTrigLAinternalaircycleswitch2open=NULL;
IoTrigger* IoTrigger::poTrigLAinternalaircycleswitch2close=NULL;
IoTrigger* IoTrigger::poTrigMS501=NULL;
IoTrigger* IoTrigger::poTrigMS502=NULL;
IoTrigger* IoTrigger::poTrigMS503=NULL;
IoTrigger* IoTrigger::poTrigMS504=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeLAO2CheckFirstEnable=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeFIMS1O2CheckEnable=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeFIMS2O2CheckEnable=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeProcess=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeLAO2OverTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeLAO2CheckTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeFOUPO2OverTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeFOUPO2CheckTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeExchangeLATOFOUPWaitTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeExchangeFOUPTOLAWaitTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeExchangeFOUPTOFOUPWaitTime=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeLAO2CheckSV=NULL;
IoTrigger* IoTrigger::poTrigN2PurgeFOUPO2CheckSV=NULL;
IoTrigger* IoTrigger::poTrigJETCMode=NULL;
IoTrigger* IoTrigger::poTrigDataSend=NULL;
IoTrigger* IoTrigger::poTrigDataLoad=NULL;
IoTrigger* IoTrigger::poTrigFOUPRobotActionCommand=NULL;
IoTrigger* IoTrigger::poTrigWaferRobotActionCommand=NULL;
//AUTOIO_END
